de.caff.generics.mda

## Class OneDimensionalIntArray

- java.lang.Object
- - de.caff.generics.Countable.Base<TT>
  - - de.caff.generics.Indexable.Base<TT>
    - - de.caff.generics.mda.OneDimensionalReadAccess.Base<java.lang.Integer>
      - - de.caff.generics.mda.OneDimensionalIntReadAccess.Base
        - - de.caff.generics.mda.OneDimensionalIntArray

- All Implemented Interfaces:
    Countable<java.lang.Integer>, Indexable<java.lang.Integer>, MultiDimensional, MultiDimensionalAccess<java.lang.Integer>, MultiDimensionalReadAccess<java.lang.Integer>, OneDimensionalAccess<java.lang.Integer>, OneDimensionalIntAccess, OneDimensionalIntReadAccess, OneDimensionalReadAccess<java.lang.Integer>, MutableIndexable<java.lang.Integer>, Sizeable, java.lang.Iterable<java.lang.Integer>

      public class OneDimensionalIntArray
      extends OneDimensionalIntReadAccess.Base
      implements OneDimensionalIntAccess

  A 1-dimensional array of int values.
  Since:
    November 11, 2019
  Author:
    Rammi

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface de.caff.generics.mda.OneDimensionalIntReadAccess

      `OneDimensionalIntReadAccess.Base`

    - ### Nested classes/interfaces inherited from interface de.caff.generics.MutableIndexable

      `MutableIndexable.ListView<T>`

    - ### Nested classes/interfaces inherited from interface de.caff.generics.Indexable

      `Indexable.IndexableSpliterator<TElem>`

  - ### Field Summary

    - ### Fields inherited from interface de.caff.generics.mda.OneDimensionalIntAccess

      `EMPTY`

    - ### Fields inherited from interface de.caff.generics.Indexable

      `EMPTY_INDEXABLE_STRING`

    - ### Fields inherited from interface de.caff.generics.Sizeable

      `NULL`

    - ### Fields inherited from interface de.caff.generics.mda.MultiDimensionalReadAccess

      `EMPTY0, EMPTY1, EMPTY2, EMPTY3, EMPTY4, EMPTY5, EMPTY6, EMPTY7`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `OneDimensionalIntArray(java.util.Collection<? extends java.lang.Integer> elements)` Constructor.
    `OneDimensionalIntArray(Indexable<java.lang.Integer> source)` Copy constructor.
    `OneDimensionalIntArray(int... values)` Constructor.
    `OneDimensionalIntArray(int numElements)` Constructor.
    `OneDimensionalIntArray(IntIndexable source)` Copy constructor.
    `OneDimensionalIntArray(int numElements, java.util.function.IntUnaryOperator filler)` Initializing constructor.
    `OneDimensionalIntArray(MultiDimensionalIntArray array)` Copy constructor.
    `OneDimensionalIntArray(OneDimensionalIntArray source)` Copy constructor.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getValueAt(int index)` Get the value at the given index.
    `void` | `setValueAt(int value, int index)` Set the value at the given index.
    `int` | `size()` Get the size.

    - ### Methods inherited from class de.caff.generics.mda.OneDimensionalIntReadAccess.Base

      `asBase`

    - ### Methods inherited from class de.caff.generics.Countable.Base

      `equals, hashCode, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface de.caff.generics.mda.OneDimensionalIntAccess

      `changeAllValues, changeValueAt, fillValuesByIndex, set`

    - ### Methods inherited from interface de.caff.generics.mda.OneDimensionalIntReadAccess

      `asBase, get, singleton`

    - ### Methods inherited from interface de.caff.generics.mda.OneDimensionalAccess

      `changeAll, changeAll, copy, empty, fillByIndex, setElement, setElementAt`

    - ### Methods inherited from interface de.caff.generics.MutableIndexable

      `applyOnEach, asList, copy, copyInternally, copyOf, filled, fillFrom, fromArray, fromArray, fromIndexable, fromIndexable, fromIterable, getCopy, getCopy, headSet, init, initByIndex, initFragile, listIterator, nulled, order, reverse, revert, revert, setFrom, setFrom, setFromArray, setMulti, shuffle, subSet, swap, swyp, sybSet, syt, tailSet, viewArray, viewArray, viewIndexable, viewList`

    - ### Methods inherited from interface de.caff.generics.mda.MultiDimensionalAccess

      `change, setAll, setFrom, setFrom, setFrom`

    - ### Methods inherited from interface de.caff.generics.mda.OneDimensionalReadAccess

      `getElement, getNumDimensions, getNumElements, getSize, getSizes, view, visitAll, visitAll`

    - ### Methods inherited from interface de.caff.generics.Indexable

      `addToArray, addToArray, addToCollection, asCollection, binarySearch, checkIndex, combine, compare, downCast, emptyIndexable, equal, findAll, findAllX, findFirst, findFirst, findFirst, findFirstX, findLast, findLast, findLast, findNext, findNext, findNext, findNextX, findPrevious, findPrevious, findPrevious, first, firstMatch, firstMatch, firstMatchX, forEachEntry, forEachEntryFragile, fromCollection, fromCollection, fromCountable, fromCountable, fromEnumeration, fromEnumeration, fromIterable, fromIterable, fromIterable, fromIterable, fromIterator, fromList, fromOptional, frozenSpliterator, getMod, gyt, hash, indexedView, indexes, init, initByIndex, intIndexes, isEmpty, isOrdered, isStrictlyOrdered, iterator, iterator, last, mapArray, optional, ordered, rotated, spliterator, toString, view, view, viewAsBooleanIndexable, viewAsByteIndexable, viewAsCharIndexable, viewAsDict, viewAsDoubleIndexable, viewAsFloatIndexable, viewAsIntIndexable, viewAsLongIndexable, viewAsShortIndexable, viewByIndex, viewFragile, viewList, viewList, viewListN, viewListN, viewTuple, viewTuple, viewTuple, viewTuple, viewTuple, viewTuple, viewTuple, viewTuple, withAppendedItem, withCachedHash, withExchangedItemAt, withInsertedItemAt, withPrependedItem, withRemovedItemAt, withSwappedItemsAt`

    - ### Methods inherited from interface de.caff.generics.Countable

      `addAllTo, combined, combined, containsEq, containsRef, downCast, equal, equals, filtered, filteredToIndexable, filterToCountable, firstOrNull, foldLeft, forEachFragile, freeze, frozen, frozen, getAny, groupingBy, groupingBy, hasAll, hasAny, isSorted, isStrictlySorted, lastOrNull, mappingBy, mappingBy, optFirst, optLast, orderedCombination, parellelStream, sorted, stream, toArray, toArray, toList, toString, uniform, viewCollection, viewCollection, viewCollectionN, viewCollectionN`

    - ### Methods inherited from interface java.lang.Iterable

      `forEach`

    - ### Methods inherited from interface de.caff.generics.mda.MultiDimensionalReadAccess

      `empty, linearized`

- - ### Constructor Detail

    - #### OneDimensionalIntArray

          public OneDimensionalIntArray(@NotNull
                                        int... values)

      Constructor.
      Parameters:
        `values` - values of this array

    - #### OneDimensionalIntArray

          public OneDimensionalIntArray(int numElements)

      Constructor. This initializes all elements with `0`,
      Parameters:
        `numElements` - number of elements in this array
      See Also:
        `OneDimensionalIntArray(int, IntUnaryOperator)`

    - #### OneDimensionalIntArray

          public OneDimensionalIntArray(int numElements,
                                        @NotNull
                                        java.util.function.IntUnaryOperator filler)

      Initializing constructor.
      Parameters:
        `numElements` - number of elements in this array
        `filler` - filler which is called once for each element with its index and expected to return the value to be set for that index

    - #### OneDimensionalIntArray

          public OneDimensionalIntArray(@NotNull
                                        Indexable<java.lang.Integer> source)

      Copy constructor.
      Parameters:
        `source` - source to copy
      Throws:
        `java.lang.NullPointerException` - if source contains `null` values

    - #### OneDimensionalIntArray

          public OneDimensionalIntArray(@NotNull
                                        IntIndexable source)

      Copy constructor.
      Parameters:
        `source` - source to copy

    - #### OneDimensionalIntArray

          public OneDimensionalIntArray(@NotNull
                                        java.util.Collection<? extends java.lang.Integer> elements)

      Constructor.
      Parameters:
        `elements` - elements to copy
      Throws:
        `java.lang.NullPointerException` - if elements contain `null` values

    - #### OneDimensionalIntArray

          public OneDimensionalIntArray(@NotNull
                                        OneDimensionalIntArray source)

      Copy constructor.
      Parameters:
        `source` - source to copy

    - #### OneDimensionalIntArray

          public OneDimensionalIntArray(@NotNull
                                        MultiDimensionalIntArray array)

      Copy constructor.
      Parameters:
        `array` - sourve array to copy

  - ### Method Detail

    - #### setValueAt

          public void setValueAt(int value,
                                 int index)

      Set the value at the given index.
      Specified by:
        `setValueAt` in interface `OneDimensionalIntAccess`
      Parameters:
        `value` - value to set
        `index` - index of value

    - #### getValueAt

          public int getValueAt(int index)

      Get the value at the given index.
      Specified by:
        `getValueAt` in interface `OneDimensionalIntReadAccess`
      Parameters:
        `index` - index of value
      Returns:
        value at given index

    - #### size

          public int size()

      Description copied from interface: `Sizeable`
      Get the size. Size is never negative.
      Specified by:
        `size` in interface `Sizeable`
      Returns:
        the size of this object, usually the number of contained elements, must not be negative